Creating a folder
POST
/v1/mailboxes/{mailbox_id}/foldersThe custom folder is created in IMAP and is available to other mail clients.
Authentication and access · Errors and retries
Request
curl -X POST 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/folders' \ -H 'Authorization: Bearer <access_token>' \ -H 'Content-Type: application/json' \ --data '{"name":"<name>"}'Parameters
mailbox_idpathNecessarilyintegerX-Customer-IDheader- Option 1
stringOption 2null
Request body · application/json
object
nameNecessarilystringminLength: 1maxLength: 120
Unknown fields are not accepted.
Responses
201 Successful response
application/json
object
namestring
401 Login required
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
403 No access
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
404 Resource not found
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
409 State conflict
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
422 Validation error
application/json
object
detailarrayArray elementsobjectlocNecessarilyarrayArray elementsOption 1stringOption 2integermsgNecessarilystringtypeNecessarilystring
503 Temporarily unavailable
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject